org.licas.ws.wsdl

## Class WsdlConst

- java.lang.Object
- - org.licas.ws.wsdl.WsdlConst

-     public class WsdlConst
      extends java.lang.Object

  This class contains some constant values related to wsdl documents.
  Author:
    Kieran Greer.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ADDRESS`
    `static java.lang.String` | `ALL`
    `static java.lang.String` | `ANY`
    `static java.lang.String` | `ATTRIBUTE`
    `static java.lang.String` | `BASE`
    `static java.lang.String` | `BINDING`
    `static java.lang.String` | `BODY`
    `static java.lang.String` | `COMPLEXCONTENT`
    `static java.lang.String` | `COMPLEXTYPE`
    `static java.lang.String` | `DOCUMENTATION`
    `static java.lang.String` | `ELEMENT`
    `static java.lang.String` | `ENUMERATION`
    `static java.lang.String` | `EXTENSION`
    `static java.lang.String` | `FAULT`
    `static java.lang.String` | `GET`
    `static java.lang.String` | `GETIN`
    `static java.lang.String` | `GETIN2`
    `static java.lang.String` | `GETOUT`
    `static java.lang.String` | `GETOUT2`
    `static java.lang.String` | `HEAD`
    `static java.lang.String` | `HEADER`
    `static java.lang.String` | `INFAULT`
    `static java.lang.String` | `INPUT`
    `static java.lang.String` | `INTERFACE`
    `static java.lang.String` | `LOCATION`
    `static java.lang.String` | `MESSAGE`
    `static java.lang.String` | `MESSAGELABEL`
    `static java.lang.String` | `MINOCCURS`
    `static java.lang.String` | `NAME`
    `static java.lang.String` | `NAMESPACESEPARATOR`
    `static java.lang.String` | `OPERATION`
    `static java.lang.String` | `OUTFAULT`
    `static java.lang.String` | `OUTPUT`
    `static java.lang.String` | `PARAMETERS`
    `static java.lang.String` | `PART`
    `static java.lang.String` | `PATTERN`
    `static java.lang.String` | `PORT`
    `static java.lang.String` | `PORTTYPE`
    `static java.lang.String` | `POST`
    `static java.lang.String` | `POSTIN`
    `static java.lang.String` | `POSTIN2`
    `static java.lang.String` | `POSTOUT`
    `static java.lang.String` | `POSTOUT2`
    `static java.lang.String` | `REF`
    `static java.lang.String` | `REST`
    `static java.lang.String` | `RESTRICTION`
    `static java.lang.String` | `SCHEMA` Constant definitions.
    `static java.lang.String` | `SEQUENCE`
    `static java.lang.String` | `SERVICE`
    `static java.lang.String` | `SIMPLETYPE`
    `static java.lang.String` | `SOAP` Different protocols
    `static java.lang.String` | `SOAPACTION`
    `static java.lang.String` | `SOAPIN`
    `static java.lang.String` | `SOAPIN2`
    `static java.lang.String` | `SOAPOUT`
    `static java.lang.String` | `SOAPOUT2`
    `static java.lang.String` | `STYLE`
    `static java.lang.String` | `TARGETNAMESPACE`
    `static java.lang.String` | `TRANSPORT`
    `static java.lang.String` | `TYPE`
    `static java.lang.String` | `TYPES`
    `static java.lang.String` | `USE`
    `static java.lang.String` | `VALUE`
    `static java.lang.String` | `ZERO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WsdlConst()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.ArrayList<java.lang.String>` | `getInProtocolType(java.lang.String protocol)` Get the ending assigned to related input parameters for the specified protocol type.
    `static java.util.ArrayList<java.lang.String>` | `getOutProtocolType(java.lang.String protocol)` Get the ending assigned to related output parameters for the specified protocol type.
    `static java.util.ArrayList<java.lang.String>` | `getProtocols()` Get the list of possible protocols that can be used to make the call.
    `static boolean` | `isEmptyComplexType(WsdlParamInfo paramInfo)` Return true if the parameter type describes a complex type.
    `static boolean` | `isValueSetType(java.lang.String paramType)` Return true if the parameter type describes a set of values rather than a parameter, such as an enumeration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SOAP

          public static final java.lang.String SOAP

      Different protocols
      See Also:
        Constant Field Values

    - #### REST

          public static final java.lang.String REST

      See Also:
        Constant Field Values

    - #### SOAPIN

          public static final java.lang.String SOAPIN

      See Also:
        Constant Field Values

    - #### SOAPOUT

          public static final java.lang.String SOAPOUT

      See Also:
        Constant Field Values

    - #### SOAPIN2

          public static final java.lang.String SOAPIN2

      See Also:
        Constant Field Values

    - #### SOAPOUT2

          public static final java.lang.String SOAPOUT2

      See Also:
        Constant Field Values

    - #### GET

          public static final java.lang.String GET

      See Also:
        Constant Field Values

    - #### GETIN

          public static final java.lang.String GETIN

      See Also:
        Constant Field Values

    - #### GETOUT

          public static final java.lang.String GETOUT

      See Also:
        Constant Field Values

    - #### GETIN2

          public static final java.lang.String GETIN2

      See Also:
        Constant Field Values

    - #### GETOUT2

          public static final java.lang.String GETOUT2

      See Also:
        Constant Field Values

    - #### POST

          public static final java.lang.String POST

      See Also:
        Constant Field Values

    - #### POSTIN

          public static final java.lang.String POSTIN

      See Also:
        Constant Field Values

    - #### POSTOUT

          public static final java.lang.String POSTOUT

      See Also:
        Constant Field Values

    - #### POSTIN2

          public static final java.lang.String POSTIN2

      See Also:
        Constant Field Values

    - #### POSTOUT2

          public static final java.lang.String POSTOUT2

      See Also:
        Constant Field Values

    - #### SCHEMA

          public static final java.lang.String SCHEMA

      Constant definitions.
      See Also:
        Constant Field Values

    - #### TARGETNAMESPACE

          public static final java.lang.String TARGETNAMESPACE

      See Also:
        Constant Field Values

    - #### NAMESPACESEPARATOR

          public static final java.lang.String NAMESPACESEPARATOR

      See Also:
        Constant Field Values

    - #### SERVICE

          public static final java.lang.String SERVICE

      See Also:
        Constant Field Values

    - #### ATTRIBUTE

          public static final java.lang.String ATTRIBUTE

      See Also:
        Constant Field Values

    - #### ELEMENT

          public static final java.lang.String ELEMENT

      See Also:
        Constant Field Values

    - #### MESSAGE

          public static final java.lang.String MESSAGE

      See Also:
        Constant Field Values

    - #### MESSAGELABEL

          public static final java.lang.String MESSAGELABEL

      See Also:
        Constant Field Values

    - #### EXTENSION

          public static final java.lang.String EXTENSION

      See Also:
        Constant Field Values

    - #### ENUMERATION

          public static final java.lang.String ENUMERATION

      See Also:
        Constant Field Values

    - #### DOCUMENTATION

          public static final java.lang.String DOCUMENTATION

      See Also:
        Constant Field Values

    - #### HEAD

          public static final java.lang.String HEAD

      See Also:
        Constant Field Values

    - #### BODY

          public static final java.lang.String BODY

      See Also:
        Constant Field Values

    - #### USE

          public static final java.lang.String USE

      See Also:
        Constant Field Values

    - #### BASE

          public static final java.lang.String BASE

      See Also:
        Constant Field Values

    - #### NAME

          public static final java.lang.String NAME

      See Also:
        Constant Field Values

    - #### INTERFACE

          public static final java.lang.String INTERFACE

      See Also:
        Constant Field Values

    - #### BINDING

          public static final java.lang.String BINDING

      See Also:
        Constant Field Values

    - #### PORT

          public static final java.lang.String PORT

      See Also:
        Constant Field Values

    - #### PORTTYPE

          public static final java.lang.String PORTTYPE

      See Also:
        Constant Field Values

    - #### ADDRESS

          public static final java.lang.String ADDRESS

      See Also:
        Constant Field Values

    - #### OPERATION

          public static final java.lang.String OPERATION

      See Also:
        Constant Field Values

    - #### SOAPACTION

          public static final java.lang.String SOAPACTION

      See Also:
        Constant Field Values

    - #### TRANSPORT

          public static final java.lang.String TRANSPORT

      See Also:
        Constant Field Values

    - #### LOCATION

          public static final java.lang.String LOCATION

      See Also:
        Constant Field Values

    - #### FAULT

          public static final java.lang.String FAULT

      See Also:
        Constant Field Values

    - #### INPUT

          public static final java.lang.String INPUT

      See Also:
        Constant Field Values

    - #### OUTPUT

          public static final java.lang.String OUTPUT

      See Also:
        Constant Field Values

    - #### PATTERN

          public static final java.lang.String PATTERN

      See Also:
        Constant Field Values

    - #### STYLE

          public static final java.lang.String STYLE

      See Also:
        Constant Field Values

    - #### TYPES

          public static final java.lang.String TYPES

      See Also:
        Constant Field Values

    - #### TYPE

          public static final java.lang.String TYPE

      See Also:
        Constant Field Values

    - #### PART

          public static final java.lang.String PART

      See Also:
        Constant Field Values

    - #### PARAMETERS

          public static final java.lang.String PARAMETERS

      See Also:
        Constant Field Values

    - #### SIMPLETYPE

          public static final java.lang.String SIMPLETYPE

      See Also:
        Constant Field Values

    - #### COMPLEXTYPE

          public static final java.lang.String COMPLEXTYPE

      See Also:
        Constant Field Values

    - #### INFAULT

          public static final java.lang.String INFAULT

      See Also:
        Constant Field Values

    - #### OUTFAULT

          public static final java.lang.String OUTFAULT

      See Also:
        Constant Field Values

    - #### SEQUENCE

          public static final java.lang.String SEQUENCE

      See Also:
        Constant Field Values

    - #### COMPLEXCONTENT

          public static final java.lang.String COMPLEXCONTENT

      See Also:
        Constant Field Values

    - #### ALL

          public static final java.lang.String ALL

      See Also:
        Constant Field Values

    - #### RESTRICTION

          public static final java.lang.String RESTRICTION

      See Also:
        Constant Field Values

    - #### VALUE

          public static final java.lang.String VALUE

      See Also:
        Constant Field Values

    - #### REF

          public static final java.lang.String REF

      See Also:
        Constant Field Values

    - #### ANY

          public static final java.lang.String ANY

      See Also:
        Constant Field Values

    - #### MINOCCURS

          public static final java.lang.String MINOCCURS

      See Also:
        Constant Field Values

    - #### ZERO

          public static final java.lang.String ZERO

      See Also:
        Constant Field Values

    - #### HEADER

          public static final java.lang.String HEADER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WsdlConst

          public WsdlConst()

  - ### Method Detail

    - #### getInProtocolType

          public static java.util.ArrayList<java.lang.String> getInProtocolType(java.lang.String protocol)

      Get the ending assigned to related input parameters for the specified protocol type.
      Parameters:
        `protocol` - the protocol type.
      Returns:
        the ending assigned to the related input parameters.

    - #### getOutProtocolType

          public static java.util.ArrayList<java.lang.String> getOutProtocolType(java.lang.String protocol)

      Get the ending assigned to related output parameters for the specified protocol type.
      Parameters:
        `protocol` - the protocol type.
      Returns:
        the ending assigned to the related output parameters.

    - #### getProtocols

          public static java.util.ArrayList<java.lang.String> getProtocols()

      Get the list of possible protocols that can be used to make the call.
      Returns:
        the list of possible protocols - soap, http post or get.

    - #### isEmptyComplexType

          public static boolean isEmptyComplexType(WsdlParamInfo paramInfo)

      Return true if the parameter type describes a complex type.
      Parameters:
        `paramInfo` - the parameter to check.
      Returns:
        true if this describes an empty complex type, false otherwise.

    - #### isValueSetType

          public static boolean isValueSetType(java.lang.String paramType)

      Return true if the parameter type describes a set of values rather than a parameter, such as an enumeration.
      Parameters:
        `paramType` - the parameter type to check.
      Returns:
        true if this describes a set of values.